Package ru.bitel.bgbilling.modules.phone.common.bean

# Class Gate

java.lang.Object
ru.bitel.common.model.Id
ru.bitel.bgbilling.modules.phone.common.bean.Gate

All Implemented Interfaces:
  `Serializable`, `GuiTitlable`, `Idable`

public class Gate extends Id implements GuiTitlable

See Also:
  - Serialized Form

- ## Field Summary

  ### Fields inherited from class ru.bitel.common.model.Id

  `id`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `Gate()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getComment()`
  `String`
  `getConfig()`
  `String`
  `getGuiTitle()`
  Строка - имя объекта.
  `String`
  `getHost()`
  `String`
  `getKeyword()`
  `int`
  `getPort()`
  `int`
  `getTypeId()`
  `String`
  `getTypeTitle()`
  `void`
  `setComment(String comment)`
  `void`
  `setConfig(String config)`
  `void`
  `setHost(String host)`
  `void`
  `setKeyword(String keyword)`
  `void`
  `setPort(int port)`
  `void`
  `setTypeId(int typeId)`
  `void`
  `setTypeTitle(String typeTitle)`
  `String`
  `toString()`

  ### Methods inherited from class ru.bitel.common.model.Id

  `copyTo, equals, getId, hashCode, newIdList, newIdSet, newIdSet, newIdSet, newIdSet, newMap, setId`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### Gate

    public Gate()

- ## Method Details

  - ### getTypeId

    public int getTypeId()

  - ### setTypeId

    public void setTypeId(int typeId)

  - ### getHost

    public String getHost()

  - ### setHost

    public void setHost(String host)

  - ### getPort

    public int getPort()

  - ### setPort

    public void setPort(int port)

  - ### getKeyword

    public String getKeyword()

  - ### setKeyword

    public void setKeyword(String keyword)

  - ### getComment

    public String getComment()

  - ### setComment

    public void setComment(String comment)

  - ### getConfig

    public String getConfig()

  - ### setConfig

    public void setConfig(String config)

  - ### getTypeTitle

    public String getTypeTitle()

  - ### setTypeTitle

    public void setTypeTitle(String typeTitle)

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Id`

  - ### getGuiTitle

    public String getGuiTitle()
    Description copied from interface: `GuiTitlable`
    Строка - имя объекта. Скорее всего уникальная. Используется в комбобоксах, например, итд.
    Specified by:
      `getGuiTitle` in interface `GuiTitlable`
    Returns:
      Строка - представление объекта.